export default class _FieldTemplate extends React.Component<any, any, any> {
    constructor(props: any);
    state: {
        id?: undefined;
    } | {
        id: any;
    };
    canFocus: () => boolean;
    componentDidMount(): void;
    UNSAFE_componentWillReceiveProps(props: any): void;
    receiveId: (id: any) => void;
    componentWillUnmount(): void;
}
import * as React from "react";
